Search documentation of wx

# wxPaletteChangedEvent (wx v2.6)

Copy Markdown View Source

Functions for wxPaletteChangedEvent class

This class is derived, and can use functions, from:

- `wxEvent`

wxWidgets docs: wxPaletteChangedEvent

## Summary

### Types

wxPaletteChanged()
wxPaletteChangedEvent()
wxPaletteChangedEventType()

### Functions

getChangedWindow(This)
setChangedWindow(This, Win)

## Types

# wxPaletteChanged()

    -type wxPaletteChanged() :: #wxPaletteChanged{type :: wxPaletteChangedEvent:wxPaletteChangedEventType()}.

# wxPaletteChangedEvent()

    -type wxPaletteChangedEvent() :: wx:wx_object().

# wxPaletteChangedEventType()

    -type wxPaletteChangedEventType() :: palette_changed.

## Functions

# getChangedWindow(This)

    -spec getChangedWindow(This) -> wxWindow:wxWindow() when This :: wxPaletteChangedEvent().

# setChangedWindow(This, Win)

    -spec setChangedWindow(This, Win) -> ok when This :: wxPaletteChangedEvent(), Win :: wxWindow:wxWindow().